Package com.emc.documentum.rest.parser.xml.reader.field

# Class EntryFieldXmlDeserializer

java.lang.Object
com.emc.documentum.rest.parser.xml.reader.field.AbstractFieldXmlDeserializer
com.emc.documentum.rest.parser.xml.reader.field.EntryFieldXmlDeserializer

All Implemented Interfaces:
  `AnnotatedFieldBindingProcessor`, `AnnotatedFieldDeserializer<com.emc.documentum.rest.parser.xml.reader.TypeXmlParser>`

public class EntryFieldXmlDeserializer extends AbstractFieldXmlDeserializer
XML field reader for serializable entry.

- ## Field Summary

  ### Fields inherited from class com.emc.documentum.rest.parser.xml.reader.field.AbstractFieldXmlDeserializer

  `CURRENT_EVENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EntryFieldXmlDeserializer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `deserializable(Object next, SerializableFieldMeta fieldNode, Class<?> valueType)`
  Check if the field value and field type is deserializable by this deserializer.
  `Object`
  `deserialize(com.emc.documentum.rest.parser.xml.reader.TypeXmlParser parser, Object object, String name, SerializableFieldMeta fieldNode, Map<String,Object> infoMap, com.emc.documentum.rest.config.BindingConfig bindingConfig)`
  Deserialize the field.

  ### Methods inherited from class com.emc.documentum.rest.parser.xml.reader.field.AbstractFieldXmlDeserializer

  `asEventReader, isCompatibleMediaType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EntryFieldXmlDeserializer

    public EntryFieldXmlDeserializer()

- ## Method Details

  - ### deserialize

    public Object deserialize(com.emc.documentum.rest.parser.xml.reader.TypeXmlParser parser, Object object, String name, SerializableFieldMeta fieldNode, Map<String,Object> infoMap, com.emc.documentum.rest.config.BindingConfig bindingConfig)
    Description copied from interface: `AnnotatedFieldDeserializer`
    Deserialize the field.
    Parameters:
      `parser` - message parser
      `object` - the object that the field belongs to
      `name` - the field name
      `fieldNode` - the serializable filed meta
      `infoMap` - the map which can carry additional info
      `bindingConfig` - binding configuration
    Returns:
      the field object

  - ### deserializable

    public boolean deserializable(Object next, SerializableFieldMeta fieldNode, Class<?> valueType)
    Description copied from interface: `AnnotatedFieldDeserializer`
    Check if the field value and field type is deserializable by this deserializer.
    Parameters:
      `next` - current token of JSON object
      `fieldNode` - the deserializable field meta
      `valueType` - actual value type for current JSON token; this parameter is optional; when it is provided, it takes precedence over the data type defined from fieldNode
    Returns:
      `true` if the field value is deserializable; `false` otherwise.